local mod = ...



-- Upgrade: Oven -------------------------------------------------------------------------------------

-- Assets
mod:registerAssetId("models/Upgrade2.fbx/Prefab/Bakery.Part", "PREFAB_UPGRADE_BAKERY" )

-- -- Smoke Emitter -------------------------------------------------------------------------------------
-- mod:registerPrefabComponent("models/Upgrade2.fbx/Prefab/Bakery.Part/SmokeEmitter.001", {
-- 	DataType = "COMP_PARTICLE_EMITTER",
-- 	ParticleSystem = "PARTICLE_SYSTEM_HOUSING_SMOKE",
-- 	IsPlaying = true,
-- 	IsEmitting = true,
-- })

-- mod:registerPrefabComponent("models/Upgrade2.fbx/Prefab/Bakery.Part/SmokeEmitter.001", {
-- 	DataType = "COMP_PARTICLE_EMITTER_TOGGLE",
-- 	Enabled = false,
-- })

-- Part
mod:registerAsset({
    DataType = "BUILDING_PART",
    Id = "BUILDING_PART_UPGRADE_BAKERY",
    Name = "BUILDING_PART_UPGRADE_OVEN_NAME",
    Category = "UPGRADE",
    AssetBuildingFunction = "BUILDING_FUNCTION_UPGRADE_TOOLS",
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_UPGRADE_BAKERY",
        MiniatureConfig = {
            ClipUnderGround = true,
            GroupHeight = 0,
            CameraPosition = { 0, 0, 0 },
            OrientationOffset = 0,
            CameraPitchOffset = 0.0
        },
    },
    HasMaximumInstancePerBuilding = true,
    MaximumInstancePerBuilding = 1,
    BuildingZone = {
        ZoneEntryList = {
            {
                Polygon = polygon.createRectangle( {3.5, 1.5}, {0.0, 0.0} ),
                Type = { DEFAULT = true, NAVIGABLE = true, GRASS_CLEAR = true },
            },
        },
    },
    Cost = UpgradeCostMethods,
})



-- Name for single vanilla building parts
mod:overrideAsset({
    Id = "BUILDING_PART_BAKERY",
    Name = "BAKERY",
})



-- Add to Building ----------------------------------------------------------------------------
mod:overrideAsset({
    Id = "BUILDING_BAKERY",
    BuildingPartSetList = {
        Action = "APPEND",
        {
            Name = "BUILDING_PART_SETLIST_UPGRADE",
            BuildingPartList = {
                "BUILDING_PART_UPGRADE_BAKERY",
            },
        },
    },
})
